%{
/* In der Vorlesung am 14.1.2008 gemeinsam erstellte Variante von
 * typedecl-glob.[ly], bei der yacc nicht rechtzeitig entscheiden
 * kann, welche von zwei eingebetteten Aktionen ausgefuehrt werden
 * muss. Dies fuehrt zu einem Reduce/Reduce-Fehler. Auch die
 * Vorschau von einem Zeichen reicht hier nicht mehr aus. Inhaltlich
 * ist diese Grammatik nicht besonders sinnvoll.
 */
#include <string.h>
#include "typedecl-glob2.tab.h"
%}
%option noyywrap
IDENT   [[:alpha:]_]+
%%
"int"           { return INT; }
"real"          { return REAL; }
{IDENT}         { 
                  yylval.name = strdup(yytext);
                  return ID;
                }
","             { return *yytext; }
[[:space:]]     { /* ignoriere Whitespace */ }
.               { return ILLEGAL_CHAR; }
